#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string e;
    cin>>e;
    int r;
	cin>>r;
    for(int i=0; i<r; i++)
    {
        int g,t,E=0;
        cin>>g>>t;
        for(int f=g-1; f<t-1; f++)
        {
            if(e[f]=='b' && e[f+1]=='a')
            {
                E++;
            }
            if(e[f]=='c' && e[f+1]=='a')
            {
                E++;
            }
            if(e[f]=='c' && e[f+1]=='b')
            {
                E++;
            }
        }
        cout<<E+1<<endl;
    }
}
